ChiliProject - Bug # 617: Gemfile: Missing database related platform block for Windows +
Rubyinstaller

Status: Closed Priority: Normal
Author: JAqrg Hagemann Category:

Created: 2011-09-12 Assignee: Holger Just
Updated: 2011-09-23 Due date:

Remote issue URL:

Affected version: 2.2.0

Description: System: WinXPSP3 with Ruby 1.8.7 (Rubylnstaller)

Executing *bundle install* does not reach any *gem "<database>"* related lines because of missing a suitable
platform block (e.g. mswin or mingw_18) in Gemfile.

That could end up in a error message like this:

<pre>

C:\...>bundle exec rake db:migrate RAILS_ENV=development

Il The bundled mysql.rb driver has been removed from Rails 2.2. Please install the mysqgl gem and try again:
gem install

rake aborted!

no such file to load -- mysq|

</pre>

Associated revisions

2011-09-23 09:27 pm - Holger Just

[#617] Include database gems for mingw (Ruby on Windows)

History

2011-09-12 11:33 am - Holger Just

- Assignee deleted (Felix Schéfer)

The issue was also discussed at message#724.

2011-09-15 10:44 pm - Holger Just

- Target version set to 2.3.0

- Assignee set to Holger Just

- (deleted custom field) set to 2.2.0

2011-09-23 07:29 pm - Holger Just
- Status changed from Open to Closed

Fixed in commit:48796¢9
